summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2019-02-14 14:16:33 +0100
committerManuel Rüger <mrueg@gentoo.org>2019-02-14 14:16:33 +0100
commit5a5796df26fc16bb6d362d5eab8dd83c921306d7 (patch)
tree212dc8994e03a7bd3d4f6f580ff151cf89e4e7d0
parentapp-metrics/node_exporter: Fix build (diff)
downloadgentoo-5a5796df26fc16bb6d362d5eab8dd83c921306d7.tar.gz
gentoo-5a5796df26fc16bb6d362d5eab8dd83c921306d7.tar.bz2
gentoo-5a5796df26fc16bb6d362d5eab8dd83c921306d7.zip
app-emulation/containerd: Version bump to 1.2.4
Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Manuel Rüger <mrueg@gentoo.org>
-rw-r--r--app-emulation/containerd/Manifest1
-rw-r--r--app-emulation/containerd/containerd-1.2.4.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/app-emulation/containerd/Manifest b/app-emulation/containerd/Manifest
index 1aba2d6949e..f4df5aadf4f 100644
--- a/app-emulation/containerd/Manifest
+++ b/app-emulation/containerd/Manifest
@@ -3,3 +3,4 @@ DIST containerd-1.1.2.tar.gz 5124208 BLAKE2B d989519d6bef4e12d1fa04aa00bfee223e9
DIST containerd-1.1.4.tar.gz 5328134 BLAKE2B cb69f9bd80bc279ae2bd85c75152dacdbdf13df9aa2efae2453c11bf6ea9b990a4e8ec3cb07778ff1b07ef2fbc05d19bb5714616fa5618f590dc8c5b5c2b2bd0 SHA512 c51b3168b8d8121b1479f75f5ba21280848bb1cbed2d2c4a7e315ec24d1805fc9c512a1fc53e8e8fc32e150c7f2becb8daca0ecab4eaf760b3274c11fbcd6ea8
DIST containerd-1.2.2.tar.gz 4607013 BLAKE2B aca366f23cb24ddd0363333e5a4ab0fc833f917c7f1f01d56fd22bdb4bc6721f077e5ba411db6faecc4152b8f047af5da95283029f6e66dadad49c7296b82c89 SHA512 0fdd8799c5afb75074b6f00d5191e983ff570b323242665055c73b2e7a6bdd74a745e287f4f7b675dde26e8bf083c144104151e794ad24d2a8f6f39ae2ee6fff
DIST containerd-1.2.3.tar.gz 4612104 BLAKE2B 9b975bea8f848c667c44e3b597fd16889796b5b482b2ea528505db9089da46da8d4e655ba8e77f6e205825be193984124b315231b9bda8bb75dc28d3500f9897 SHA512 01c6e196ddaebfffd069aca87c669acae3923bc9b25f3a59070a6fdbe28661afd4e548b9bb6a4faec3d3d3a937f36eacd7c179986d04f83428cff439e41b1e0d
+DIST containerd-1.2.4.tar.gz 4866424 BLAKE2B bd06d2df49fa426b0bb6fdbcb091215e34a7a0c30eb97c84887451dbfc126eef89eea714bd725fdf038eb7a2c4416237a27fc12730a8f241c27a12d47bfaee43 SHA512 8a4e5064b2c1e14d39d9943f445ae18e4653f73bd3bb90f7efe558b9ffd4345db4b308362103dbfbede716eae8b547c1cec3d93962acb0a2ff34d66e4fce0d80
diff --git a/app-emulation/containerd/containerd-1.2.4.ebuild b/app-emulation/containerd/containerd-1.2.4.ebuild
new file mode 100644
index 00000000000..d34eeabe099
--- /dev/null
+++ b/app-emulation/containerd/containerd-1.2.4.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN="github.com/containerd/${PN}"
+
+inherit toolchain-funcs
+
+if [[ ${PV} == *9999 ]]; then
+ inherit golang-vcs
+else
+ MY_PV="${PV/_rc/-rc.}"
+ EGIT_COMMIT="v${MY_PV}"
+ CONTAINERD_COMMIT="e6b3f5632f50dbc4e9cb6288d911bf4f5e95b18e"
+ SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
+ inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="A daemon to control runC"
+HOMEPAGE="https://containerd.tools"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="apparmor +btrfs +cri hardened +seccomp"
+
+DEPEND="btrfs? ( sys-fs/btrfs-progs )
+ seccomp? ( sys-libs/libseccomp )"
+RDEPEND=">=app-emulation/runc-1.0.0_rc5
+ seccomp? ( sys-libs/libseccomp )"
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+RESTRICT="test"
+
+src_prepare() {
+ default
+ if [[ ${PV} != *9999* ]]; then
+ sed -i -e "s/git describe --match.*$/echo ${PV})/"\
+ -e "s/git rev-parse HEAD.*$/echo $CONTAINERD_COMMIT)/"\
+ -e "s/-s -w//" \
+ Makefile || die
+ fi
+}
+
+src_compile() {
+ local options=( $(usex btrfs "" "no_btrfs") $(usex cri "" "no_cri") $(usex seccomp "seccomp" "") $(usex apparmor "apparmor" "") )
+ export GOPATH="${WORKDIR}/${P}" # ${PWD}/vendor
+ LDFLAGS=$(usex hardened '-extldflags -fno-PIC' '') BUILDTAGS="${options[@]}" emake
+}
+
+src_install() {
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ keepdir /var/lib/containerd
+ dobin bin/*
+}